<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Volume
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_VOLUME extends ORMTSM {
	protected $_table_name = 'VOLUMES';
	protected $_primary_key = 'VOLUME_NAME';
	protected $_sorting = array(
		'VOLUME_NAME'=>'ASC',
		'STGPOOL_NAME'=>'ASC',
	);

	protected $_has_many = array(
		'VOLUMEUSAGE'=>array('foreign_key'=>'VOLUME_NAME','far_key'=>'VOLUME_NAME'),
	);

	protected $_display_filters = array(
		'LAST_READ_DATE'=>array(
			array('ORMTSM::date',array(':value','d-M-Y')),
		),
		'LAST_WRITE_DATE'=>array(
			array('ORMTSM::date',array(':value','d-M-Y')),
		),
	);

	// Show the number of nodes on a volume
	// $dtype is BACKUP or ARCHIVE
	public function getNodesOnVol($dtype) {
		return $this->VOLUMEUSAGE->where('COPY_TYPE','=',$dtype)->find_all()->count();
	}
}
?>
